#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	mkfontdir
Version		:	1.0.7
Release		:	14.8.0.0%{?dist}
Summary		:	Create an index of X font files in a directory
Group		:	Development/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://cgit.freedesktop.org/xorg/app/mkfontdir

Source0		:	%{name}-%{version}.tar.xz

# Generate source by doing:
# git clone git://anongit.freedesktop.org/xorg/app/mkfontdir
# cd mkfontdir
# git archive --format=tar --prefix=mkfontdir-1.0.7/ mkfontdir-1.0.7 | gzip > mkfontdir-1.0.7.tar.gz


#-----------------------------------------------------------------------------
BuildRequires	:	libpng-devel
BuildRequires	:	mesa-devel
BuildRequires	:	xbitmaps
BuildRequires	:	xcb-util
BuildRequires	:	xorg-util-macros

BuildArch	:	noarch

Requires	:	glibc
#-----------------------------------------------------------------------------
%description
mkfontdir creates the fonts.dir files needed by the legacy X server
core font system.   The current implementation is a simple wrapper script
around the mkfontscale program, which must be built and installed first.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/%{name}
%{_mandir}/man1/*.1.gz

#=============================================================================
%prep
%setup -q 

#-----------------------------------------------------------------------------
#building application
%build

./autogen.sh						\
	$XORG_CONFIG					\
        --sysconfdir=%{_sysconfdir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--datadir=%{_datadir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install
  
#-----------------------------------------------------------------------------
%changelog
